#!/usr/bin/env node

require('shelljs/global');
var program = require('commander');
 
program
  .version('0.0.1')
  .option('-s, --start', 'start dev server')
  .option('-b, --build', 'build project')
  .option('-l, --lint', 'run eslint')
  .option('-t, --test', 'run test')
  .parse(process.argv);

if (program.start) {
  exec('dora -p 8001 --plugins webpack,proxy?port=8002,livereload?enableJs=false');
}

if (program.build) {
  exec('rm -rf dist && atool-build --hash --devtool source-map --config webpack.build.config.js');
}

if (program.lint) {
  exec('eslint --ext .js,.jsx src');
}

if (program.test) {
  exec('atool-test -k');
}
