var webpack = require('atool-build/lib/webpack');
var HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = function(webpackConfig) {

  webpackConfig.babel.plugins.push('transform-runtime');
  webpackConfig.babel.plugins.push(['antd', {}]);

  //删除 plugins 中默认的common
  webpackConfig.plugins.some(function(plugin, i){
    if(plugin instanceof webpack.optimize.CommonsChunkPlugin) {
      webpackConfig.plugins.splice(i, 1);
      return true;
    }
  });

  return Object.assign({}, webpackConfig, {
    // entry: Object.assign({}, webpackConfig.entry, {
    //   antd: ['antd'],
    //   jquery: ['jquery']
    // }),
    plugins: webpackConfig.plugins.concat([
      new HtmlWebpackPlugin({
        template: './build.html',
        filename: 'index.html',
        inject: 'body'
      }),
      new webpack.IgnorePlugin(/^\.\/locale$/, /moment$/),
      new webpack.DefinePlugin({
        TYPE: JSON.stringify('master')
      }),
      new webpack.ProvidePlugin({
        ReactDOM: 'react-dom',
        React: 'react',
        $: 'jquery',
        jQuery: "jquery",
        "window.jQuery": "jquery",
        "_": 'lodash'
      })/*,
      new webpack.optimize.CommonsChunkPlugin({
        names: ['antd','jquery'],
        minChunks: Infinity
      })*/
    ])
  });
};